import Aura from "@primevue/themes/aura";
import PrimeVue from "primevue/config";
import ToastService from "primevue/toastservice";
import { createApp } from "vue";
import { setupFormKit } from "../formkit.config";
import App from "./App.vue";

// import '@unocss/reset/normalize.css'
// import '@unocss/reset/sanitize/sanitize.css'
// import '@unocss/reset/sanitize/assets.css'
// import '@unocss/reset/eric-meyer.css'
// import '@unocss/reset/tailwind-compat.css'
// import '@unocss/reset/tailwind.css'

import "primeicons/primeicons.css";
import "virtual:uno.css";

const app = createApp(App);
app.use(PrimeVue, { theme: { preset: Aura } });
app.use(ToastService);

// https://github.dev/formkit/auto-animate/blob/master/docs/src/examples/formkit/ActualFormKit.vue

setupFormKit(app);

app.mount("#app");
